<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LibSylph: Sylph/Core/Equals.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.8 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="classes.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
    </ul>
  </div>
<h1>Sylph/Core/Equals.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment"> * LibSylph Class Library</span>
<a name="l00003"></a>00003 <span class="comment"> * Copyright (C) 2009 Frank "SeySayux" Erens &lt;seysayux@gmail.com&gt;</span>
<a name="l00004"></a>00004 <span class="comment"> *</span>
<a name="l00005"></a>00005 <span class="comment"> * This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment"> * modify it under the terms of the LibSylph Pulbic License as published</span>
<a name="l00007"></a>00007 <span class="comment"> * by the LibSylph Developers; either version 1.0 of the License, or</span>
<a name="l00008"></a>00008 <span class="comment"> * (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment"> *</span>
<a name="l00010"></a>00010 <span class="comment"> * This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment"> * but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment"> * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the LibSylph</span>
<a name="l00013"></a>00013 <span class="comment"> * Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment"> *</span>
<a name="l00015"></a>00015 <span class="comment"> * You should have received a copy of the LibSylph Public License</span>
<a name="l00016"></a>00016 <span class="comment"> * along with this Library, if not, contact the LibSylph Developers.</span>
<a name="l00017"></a>00017 <span class="comment"> *</span>
<a name="l00018"></a>00018 <span class="comment"> * Created on 6 maart 2009, 17:15</span>
<a name="l00019"></a>00019 <span class="comment"> */</span>
<a name="l00020"></a>00020 
<a name="l00021"></a>00021 <span class="preprocessor">#ifndef EQUALS_H_</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span><span class="preprocessor">#define EQUALS_H_</span>
<a name="l00023"></a>00023 <span class="preprocessor"></span>
<a name="l00024"></a>00024 <span class="preprocessor">#include "Object.h"</span>
<a name="l00025"></a>00025 
<a name="l00026"></a>00026 <span class="preprocessor">#include &lt;cstring&gt;</span>
<a name="l00027"></a>00027 
<a name="l00028"></a>00028 SYLPH_BEGIN_NAMESPACE
<a name="l00029"></a>00029 SYLPH_PUBLIC
<a name="l00030"></a>00030 
<a name="l00034"></a>00034 <span class="keyword">template</span>&lt;<span class="keyword">class</span> T&gt;
<a name="l00035"></a><a class="code" href="struct_sylph_1_1_equals.html">00035</a> <span class="keyword">struct </span><a class="code" href="struct_sylph_1_1_equals.html">Equals</a> {
<a name="l00036"></a>00036     <span class="keyword">inline</span> <span class="keywordtype">bool</span> operator()(<span class="keyword">const</span> T&amp; t1, <span class="keyword">const</span> T &amp; t2)<span class="keyword"> const </span>{
<a name="l00037"></a>00037         <span class="keywordflow">return</span> t1 == t2;
<a name="l00038"></a>00038     }
<a name="l00039"></a>00039 };
<a name="l00040"></a>00040 
<a name="l00041"></a>00041 <span class="keyword">template</span>&lt;&gt;
<a name="l00042"></a>00042 <span class="keyword">struct </span><a class="code" href="struct_sylph_1_1_equals.html">Equals</a>&lt;const char*&gt; {
<a name="l00043"></a>00043     <span class="keyword">inline</span> <span class="keywordtype">bool</span> operator()(<span class="keyword">const</span> <span class="keywordtype">char</span> * c1, <span class="keyword">const</span> <span class="keywordtype">char</span> * c2)<span class="keyword"> const </span>{
<a name="l00044"></a>00044         <span class="keywordflow">return</span> std::strcmp(c1, c2) == 0;
<a name="l00045"></a>00045     }
<a name="l00046"></a>00046 };
<a name="l00047"></a>00047 
<a name="l00048"></a>00048 <span class="keyword">template</span>&lt;<span class="keyword">class</span> T&gt;
<a name="l00049"></a>00049 <span class="keyword">struct </span>Equals&lt;T*&gt; {
<a name="l00050"></a>00050     <span class="keyword">inline</span> <span class="keywordtype">bool</span> operator()(<span class="keyword">const</span> T * t1, <span class="keyword">const</span> T * t2)<span class="keyword"> const </span>{
<a name="l00051"></a>00051         <span class="keywordflow">return</span> *t1 == *t2;
<a name="l00052"></a>00052     }
<a name="l00053"></a>00053 };
<a name="l00054"></a>00054 SYLPH_END_NAMESPACE
<a name="l00055"></a>00055 
<a name="l00056"></a>00056 <span class="preprocessor">#endif  </span><span class="comment">/* EQUALS_H_ */</span>
<a name="l00057"></a>00057 
</pre></div></div>
<hr size="1" class="unhidden"><address style="text-align: right;"><small>
Documentation for LibSylph by Doxygen
</body>
</html>
